RelationTargetAuditMode (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.envers
Enum RelationTargetAuditMode

    java.lang.Object
      java.lang.Enum<RelationTargetAuditMode>
          org.hibernate.envers.RelationTargetAuditMode

All Implemented Interfaces:
  Serializable, Comparable<RelationTargetAuditMode>

    public enum RelationTargetAuditMode

extends Enum<RelationTargetAuditMode>

Enum Constant Summary
`AUDITED`
`NOT_AUDITED`

Method Summary
`static RelationTargetAuditMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RelationTargetAuditMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUDITED

    public static final RelationTargetAuditMode AUDITED

### NOT_AUDITED

    public static final RelationTargetAuditMode NOT_AUDITED

Method Detail

### values

    public static RelationTargetAuditMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RelationTargetAuditMode c : RelationTargetAuditMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RelationTargetAuditMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.